AMQPQueue::setName
AMQPEnvelope
AMQPQueue
PHP Manual

# AMQPQueue::unbind

Unbind the queue from a routing key.

### Description

public bool AMQPQueue::unbind ( string `$exchange_name` , string `$routing_key` )

Remove a routing key binding on an exchange from the given queue.

### Parameters

`exchange_name`

  The name of the exchange on which the queue is bound.

`routing_key`

  The binding routing key used by the queue.

### Errors/Exceptions

Throws AMQPChannelException if the channel is not open.

Throws AMQPConnectionException if the connection to the broker was lost.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.